genomicDistance {VanillaICE} | R Documentation

## A rough estimate of the genomic distance between SNPs

### Description

Calculates the genomic distance between SNPs as a function of the physical distance. This distance is used for calculating transition probabilities in the viterbi algorithm.

### Usage

    genomicDistance(object)
    tau(object)
    genomicDistance(object) <- value

### Arguments

`object` | An object inheriting from `HmmOptions`
`value` | A vector of length T - 1, where T is the number of SNPs

### Details

The genomic distance is calculated as exp(-2*d), where d is the physical distance in 100MB units.

In the Viterbi algorithm, the probability of remaining in state S at SNP t+1 is the genomic distance. The probability of transitioning to one of the alternative states is 1 - the genomic distance. The `transitionScale` function can be used to give more weight to transitioning back to the baseline ('normal') state.

### Value

A numeric vector with length T-1.

### Author(s)

R. Scharpf

### See Also

`transitionScale`

[Package VanillaICE version 1.4.0 Index]